public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/alsa-utils/
Date: Thu,  7 Sep 2023 20:50:42 +0000 (UTC)	[thread overview]
Message-ID: <1694119817.b3dd0b056b2520cd5ef490597e061a0f2a73ef7c.sam@gentoo> (raw)

commit:     b3dd0b056b2520cd5ef490597e061a0f2a73ef7c
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Sep  7 20:35:11 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Sep  7 20:50:17 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b3dd0b05

media-sound/alsa-utils: fix musl build

Closes: https://bugs.gentoo.org/913758
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-sound/alsa-utils/Manifest                    |  1 +
 media-sound/alsa-utils/alsa-utils-1.2.10-r1.ebuild | 93 ++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/media-sound/alsa-utils/Manifest b/media-sound/alsa-utils/Manifest
index fe0ea73fa686..b23779cf2eb9 100644
--- a/media-sound/alsa-utils/Manifest
+++ b/media-sound/alsa-utils/Manifest
@@ -1,3 +1,4 @@
+DIST alsa-utils-1.2.10-patches.tar.xz 4984 BLAKE2B aa46afe25e709905285c3255d80a086b843c078d12385e8787812cb33ec0f16bff5fa1f35867166824978c99354cf74d10f2596e026b3b10b0180049486ea15f SHA512 d26e7276ac6636ac71d8bbaa9978999e13ce36f228c9854e90d29a63fae3cc0c3f8b2fb25effdd461d2b77e91fda3069987fa8355f5ef6f22a37af282e26ff6c
 DIST alsa-utils-1.2.10.tar.bz2 1625707 BLAKE2B 077b4ad090c1ab40dd4fa22db01ae2a080ca849a5564dfe612654993297c80bd3584541c7e68aaad56c4c05538ba0de449e4677b1c4a9dfe56d8e11706c4ca35 SHA512 22adedf6d491d7768d24f054262a9c12bc952049db8374e104c0477ebf84266dcbeb0a2a3a1765b89958073d341f64dedbae63e3cae66f4983a0424e5cb3243f
 DIST alsa-utils-1.2.8.tar.bz2 1560162 BLAKE2B 4b9676957e775be51076b4798dfd384db4eea440c682899024034d3dd593ba24f1d42b8d742c312e041a37f0dbbc12b16635d79f6e6633a3459cc21f80739b5e SHA512 882e6f67467596ed273bf554fcce87d8ef287806bbdabd6c103de4980981f9e2102fb3800c6e8628ee8e86ffb165c1c92f9370c8145f28a6cb7cca563942330b
 DIST alsa-utils-1.2.9.tar.bz2 1598424 BLAKE2B 9d75f63c7ff8b0d7ee835a1ad8fc242dee9b59770b1ad0ff9cd233caf50ac844323fb2ebb8e649f03a0a30a161ec72cba472ac79e390c3f0eb6e2a184d8f576c SHA512 f46e13fd57ed05ee38d3fa655e57b14335ecf0664dbe03275808383d87d28df153a81151e2e9d8786625f09929c567c89e145508a706a70eeb91ac1b11fb2fd4

diff --git a/media-sound/alsa-utils/alsa-utils-1.2.10-r1.ebuild b/media-sound/alsa-utils/alsa-utils-1.2.10-r1.ebuild
new file mode 100644
index 000000000000..b5a641a657e9
--- /dev/null
+++ b/media-sound/alsa-utils/alsa-utils-1.2.10-r1.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit systemd udev
+
+DESCRIPTION="Advanced Linux Sound Architecture Utils (alsactl, alsamixer, etc.)"
+HOMEPAGE="https://alsa-project.org/wiki/Main_Page"
+SRC_URI="https://www.alsa-project.org/files/pub/utils/${P}.tar.bz2"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${PN}-1.2.10-patches.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0.9"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="bat doc +libsamplerate ieee1394 +ncurses nls selinux"
+
+DEPEND="
+	>=media-libs/alsa-lib-${PV}
+	libsamplerate? ( media-libs/libsamplerate )
+	ieee1394? ( media-libs/libffado )
+	ncurses? ( >=sys-libs/ncurses-5.7-r7:= )
+	bat? ( sci-libs/fftw:= )
+"
+RDEPEND="
+	${DEPEND}
+	selinux? ( sec-policy/selinux-alsa )
+"
+BDEPEND="
+	virtual/pkgconfig
+	doc? ( app-text/xmlto )
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-1.1.8-missing_header.patch
+	"${WORKDIR}"/${PN}-1.2.10-patches
+)
+
+src_configure() {
+	export ac_cv_lib_ffado_ffado_streaming_init=$(usex ieee1394)
+
+	local myeconfargs=(
+		# --disable-alsaconf because it doesn't work with sys-apps/kmod, bug #456214
+		--disable-alsaconf
+		--disable-maintainer-mode
+		--with-asound-state-dir="${EPREFIX}"/var/lib/alsa
+		--with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
+		--with-udev-rules-dir="${EPREFIX}/$(get_udevdir)"/rules.d
+		$(use_enable bat)
+		$(use_enable libsamplerate alsaloop)
+		$(use_enable ncurses alsamixer)
+		$(use_enable nls)
+		$(usev !doc '--disable-xmlto')
+	)
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	default
+	dodoc seq/*/README.*
+
+	newinitd "${FILESDIR}"/alsasound.initd-r8 alsasound
+	newconfd "${FILESDIR}"/alsasound.confd-r4 alsasound
+
+	keepdir /var/lib/alsa
+
+	# ALSA lib parser.c:1266:(uc_mgr_scan_master_configs) error: could not
+	# scan directory /usr/share/alsa/ucm: No such file or directory
+	# alsaucm: unable to obtain card list: No such file or directory
+	keepdir /usr/share/alsa/ucm
+
+	find "${ED}" -type f -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+	udev_reload
+
+	if [[ -z ${REPLACING_VERSIONS} ]] && ! systemd_is_booted ; then
+		elog
+		elog "To take advantage of the init script, and automate the process of"
+		elog "saving and restoring sound-card mixer levels you should"
+		elog "add alsasound to the boot runlevel. You can do this as"
+		elog "root like so:"
+		elog "# rc-update add alsasound boot"
+		ewarn
+		ewarn "The ALSA core should be built into the kernel or loaded through other"
+		ewarn "means. There is no longer any modular auto(un)loading in alsa-utils."
+	fi
+}
+
+pkg_postrm() {
+	udev_reload
+}


             reply	other threads:[~2023-09-07 20:50 UTC|newest]

Thread overview: 159+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-09-07 20:50 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-15 17:55 [gentoo-commits] repo/gentoo:master commit in: media-sound/alsa-utils/ Sam James
2025-03-02 12:38 Jakov Smolić
2025-02-23  5:11 Sam James
2025-02-09  9:26 Arthur Zamarin
2025-02-09  9:26 Arthur Zamarin
2025-02-09  9:26 Arthur Zamarin
2025-02-07  1:10 Sam James
2025-02-07  1:10 Sam James
2024-12-12 11:26 Sam James
2024-11-13 19:49 Sam James
2024-10-04 17:37 Andreas Sturmlechner
2024-09-22 18:59 Arthur Zamarin
2024-09-22 18:42 Arthur Zamarin
2024-09-22 18:40 Arthur Zamarin
2024-09-22 18:40 Arthur Zamarin
2024-09-22 18:40 Arthur Zamarin
2024-09-22 18:40 Arthur Zamarin
2024-09-22 18:02 Arthur Zamarin
2024-06-12  4:26 Sam James
2024-05-30  4:36 Ionen Wolkens
2024-04-24 14:41 Sam James
2024-04-24 14:30 Sam James
2024-04-24 14:30 Sam James
2024-04-24 14:22 Sam James
2024-04-24 14:22 Sam James
2024-04-24 14:15 Sam James
2024-04-24 14:15 Sam James
2024-02-17  6:42 Sam James
2024-02-17  6:40 Sam James
2024-01-28 17:35 Matt Turner
2023-12-06 17:57 Ionen Wolkens
2023-12-02  9:24 Arthur Zamarin
2023-12-02  4:03 Sam James
2023-12-02  4:03 Sam James
2023-12-02  4:03 Sam James
2023-12-02  4:03 Sam James
2023-12-02  4:03 Sam James
2023-12-02  4:03 Sam James
2023-09-02  7:58 Sam James
2023-08-02 15:11 Sam James
2023-08-01  7:48 Sam James
2023-07-24 20:33 Jakov Smolić
2023-07-24 20:33 Jakov Smolić
2023-07-24 20:33 Jakov Smolić
2023-07-24 18:34 Arthur Zamarin
2023-07-24 18:16 Sam James
2023-05-05  4:13 Sam James
2023-05-05  3:08 Sam James
2023-03-15 16:41 Arthur Zamarin
2023-03-07 11:42 Sam James
2023-03-04 17:44 Arthur Zamarin
2023-03-04  7:35 Arthur Zamarin
2023-03-04  6:20 Arthur Zamarin
2022-12-24 15:28 Pacho Ramos
2022-12-23 10:15 Pacho Ramos
2022-10-27  4:48 Sam James
2022-10-27  4:48 Sam James
2022-08-17 16:21 Matt Turner
2022-08-16 18:51 Arthur Zamarin
2022-07-31 11:10 Agostino Sarubbo
2022-07-31 11:08 Agostino Sarubbo
2022-07-31 11:05 Agostino Sarubbo
2022-07-30 16:27 Arthur Zamarin
2022-07-30 15:38 Arthur Zamarin
2022-07-30 11:28 Arthur Zamarin
2022-07-30  9:51 Arthur Zamarin
2022-07-29  2:54 Sam James
2022-06-01  7:21 Lars Wendler
2022-06-01  7:21 Lars Wendler
2022-05-19 11:24 WANG Xuerui
2022-05-04  4:01 Sam James
2022-04-25 20:20 Arthur Zamarin
2022-04-24  6:34 Agostino Sarubbo
2022-04-24  6:30 Agostino Sarubbo
2022-04-22 17:31 Arthur Zamarin
2022-04-22 17:31 Arthur Zamarin
2022-04-21 18:48 Arthur Zamarin
2022-04-21 18:27 Arthur Zamarin
2021-12-07  6:47 Lars Wendler
2021-11-02  9:59 Sam James
2021-09-23  1:07 Matt Turner
2021-06-16 17:17 Lars Wendler
2021-06-16 17:12 Lars Wendler
2021-06-11  5:38 Sam James
2021-06-05 20:09 Lars Wendler
2021-05-31 19:14 Tony Vroon
2021-05-28 14:40 Sergei Trofimovich
2021-05-27 19:36 Sam James
2021-05-27 19:36 Sam James
2021-05-27 19:11 Sam James
2020-11-08 10:24 Sam James
2020-11-08  0:32 Sam James
2020-10-21  8:04 Lars Wendler
2020-10-20  7:04 Sergei Trofimovich
2020-10-20  6:51 Sergei Trofimovich
2020-10-19  3:19 Sam James
2020-10-18 16:02 Thomas Deutschmann
2020-10-18 15:24 Mikle Kolyada
2020-10-18  0:18 Sam James
2020-06-10  8:49 Lars Wendler
2020-06-02 12:13 Andreas Sturmlechner
2020-05-06 17:34 Sergei Trofimovich
2020-05-06  7:18 Sergei Trofimovich
2020-05-06  7:01 Sergei Trofimovich
2020-05-05 21:15 Sergei Trofimovich
2020-05-05 21:04 Mart Raudsepp
2020-05-04 15:51 Mikle Kolyada
2020-05-04  6:43 Agostino Sarubbo
2020-05-04  6:40 Agostino Sarubbo
2020-02-22 22:11 Lars Wendler
2020-02-21 21:09 Matt Turner
2020-02-21 21:09 Matt Turner
2020-02-20 15:49 Lars Wendler
2020-02-11 13:30 Agostino Sarubbo
2020-02-10 15:30 Jory Pratt
2020-01-27 10:22 Mikle Kolyada
2020-01-21 19:37 Sergei Trofimovich
2020-01-21 10:42 Agostino Sarubbo
2020-01-20 11:51 Agostino Sarubbo
2019-12-09 18:27 Sergei Trofimovich
2019-11-16 13:06 Lars Wendler
2019-10-12 23:50 Matt Turner
2019-09-30  6:59 Michał Górny
2019-09-14  1:32 Matt Turner
2019-08-28  7:22 Sergei Trofimovich
2019-08-28  6:54 Sergei Trofimovich
2019-05-13  9:44 Lars Wendler
2019-05-13  9:44 Lars Wendler
2019-04-24 21:33 Thomas Deutschmann
2019-03-28  5:50 Markus Meier
2019-03-23 17:11 Mikle Kolyada
2019-02-17 10:16 Sergei Trofimovich
2018-11-07 23:28 Sergei Trofimovich
2018-11-07 22:59 Sergei Trofimovich
2018-10-23 18:47 Markus Meier
2018-10-18 11:45 Tobias Klausmann
2018-10-17 12:07 Thomas Deutschmann
2018-10-17 10:25 Mikle Kolyada
2018-10-17  9:23 Lars Wendler
2018-10-17  9:23 Lars Wendler
2018-04-04  8:46 Lars Wendler
2018-03-02 18:09 Michał Górny
2017-11-15 17:40 Lars Wendler
2017-11-15 17:40 Lars Wendler
2017-05-18 11:38 Lars Wendler
2017-03-25 11:41 Jeroen Roovers
2017-03-04  8:32 Markus Meier
2017-02-28 11:22 Tobias Klausmann
2017-01-03 11:59 Fabian Groffen
2016-12-22 10:51 Lars Wendler
2016-12-22 10:51 Lars Wendler
2016-12-18 16:30 Agostino Sarubbo
2016-12-18 16:25 Agostino Sarubbo
2016-08-03  8:13 Lars Wendler
2016-08-03  8:13 Lars Wendler
2016-03-20 23:10 Stephen Klimaszewski
2015-12-01 18:14 Tony Vroon
2015-08-20 12:23 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1694119817.b3dd0b056b2520cd5ef490597e061a0f2a73ef7c.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox